[gccsdk] GCC version

Ron gettingchoppy at gmail.com
Mon Nov 30 21:41:15 PST 2015


In message <20151130191142.GB17806 at chiark.greenend.org.uk>
          Theo Markettos <theo at markettos.org.uk> wrote:

> On Mon, Nov 30, 2015 at 04:28:49PM +0000, Gavin Wraith wrote:
> > When I do
> > *gcc --version
> > I get "gcc (GCCSDK GCC 4.7.4 Release 2) 4.7.4" .
> > But when I do
> > *show GCC$Version
> > I get "GCC$Version : 4.7.4 Release 1".
> > I think my !GCC.!Boot, which sets GCC$Version, is either too old
> > or wrong. Does anybody else have this?
>
> That's my fault for not knowing about that setting when I did the version
> bump.
>
> Does anything use GCC$Version?
>
> Theo
>

I guess I could of used it to improve on (the manual setting requirement of)

| !Run file for Cproto
If "<GCC$Dir>" = "" Then error gcc must be seen (filer_booted) first
RMEnsure SharedUnixLibrary 1.12 RMLoad SharedUnixLibrary
| for gcc 3
|TaskWindow "gcc --version" -Wimpslot 6000K -name Cproto

| for gcc 4.1.2
|TaskWindow "gcc --version" -Wimpslot 8000K -name Cproto

| for gcc 4.7.4
TaskWindow "gcc --version" -Wimpslot 15000K -name Cproto

p.s. I think 15000K is insufficient for g++ work, as mentioned earlier

Ron M.




More information about the gcc mailing list